nodes / network
7 operations.
GET /nodes/{node}/network
ts
proxmox.nodes.$(node).network.$get()List available networks
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
type | bridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (6 more) | Only list specific interface types. |
POST /nodes/{node}/network
ts
proxmox.nodes.$(node).network.$post()Create network device configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
address | string | IP address. — format ipv4 | |
address6 | string | IP address. — format ipv6 | |
autostart | boolean | Automatically start interface on boot. | |
bond-primary | string | Specify the primary interface for active-backup bond. — format pve-iface | |
bond_mode | balance-rr | active-backup | balance-xor | broadcast | 802.3ad | balance-tlb | balance-alb | balance-slb | … (2 more) | Bonding mode. | |
bond_xmit_hash_policy | layer2 | layer2+3 | layer3+4 | Selects the transmit hash policy to use for slave selection in balance-xor and 802.3ad modes. | |
bridge_ports | string | Specify the interfaces you want to add to your bridge. — format pve-iface-list | |
bridge_vids | string | Specify the allowed VLANs. For example: '2 4 100-200'. Only used if the bridge is VLAN aware. — format pve-vlan-id-or-range-list | |
bridge_vlan_aware | boolean | Enable bridge vlan support. | |
cidr | string | IPv4 CIDR. — format CIDRv4 | |
cidr6 | string | IPv6 CIDR. — format CIDRv6 | |
comments | string | Comments | |
comments6 | string | Comments | |
gateway | string | Default gateway address. — format ipv4 | |
gateway6 | string | Default ipv6 gateway address. — format ipv6 | |
iface | string | yes | Network interface name. — format pve-iface, ≤ 20 chars |
mtu | number | MTU. — min 1280, max 65520 | |
netmask | string | Network mask. — format ipv4mask | |
netmask6 | number | Network mask. — min 0, max 128 | |
node | string | yes | The cluster node name. — format pve-node |
ovs_bonds | string | Specify the interfaces used by the bonding device. — format pve-iface-list | |
ovs_bridge | string | The OVS bridge associated with a OVS port. This is required when you create an OVS port. — format pve-iface | |
ovs_options | string | OVS interface options. — ≤ 1024 chars | |
ovs_ports | string | Specify the interfaces you want to add to your bridge. — format pve-iface-list | |
ovs_tag | number | Specify a VLan tag (used by OVSPort, OVSIntPort, OVSBond) — min 1, max 4094 | |
slaves | string | Specify the interfaces used by the bonding device. — format pve-iface-list | |
type | bridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (4 more) | yes | Network interface type |
vlan-id | number | vlan-id for a custom named vlan interface (ifupdown2 only). — min 1, max 4094 | |
vlan-raw-device | string | Specify the raw interface for the vlan interface. — format pve-iface |
PUT /nodes/{node}/network
ts
proxmox.nodes.$(node).network.$put()Reload network configuration
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
regenerate-frr | boolean | Whether FRR config generation should get skipped or not. — default 0 |
DELETE /nodes/{node}/network
ts
proxmox.nodes.$(node).network.$delete()Revert network configuration changes.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/network/{iface}
ts
proxmox.nodes.$(node).network.$(iface).$get()Read network device configuration
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
iface | string | yes | Network interface name. — format pve-iface, ≤ 20 chars |
node | string | yes | The cluster node name. — format pve-node |
PUT /nodes/{node}/network/{iface}
ts
proxmox.nodes.$(node).network.$(iface).$put()Update network device configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
address | string | IP address. — format ipv4 | |
address6 | string | IP address. — format ipv6 | |
autostart | boolean | Automatically start interface on boot. | |
bond-primary | string | Specify the primary interface for active-backup bond. — format pve-iface | |
bond_mode | balance-rr | active-backup | balance-xor | broadcast | 802.3ad | balance-tlb | balance-alb | balance-slb | … (2 more) | Bonding mode. | |
bond_xmit_hash_policy | layer2 | layer2+3 | layer3+4 | Selects the transmit hash policy to use for slave selection in balance-xor and 802.3ad modes. | |
bridge_ports | string | Specify the interfaces you want to add to your bridge. — format pve-iface-list | |
bridge_vids | string | Specify the allowed VLANs. For example: '2 4 100-200'. Only used if the bridge is VLAN aware. — format pve-vlan-id-or-range-list | |
bridge_vlan_aware | boolean | Enable bridge vlan support. | |
cidr | string | IPv4 CIDR. — format CIDRv4 | |
cidr6 | string | IPv6 CIDR. — format CIDRv6 | |
comments | string | Comments | |
comments6 | string | Comments | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
gateway | string | Default gateway address. — format ipv4 | |
gateway6 | string | Default ipv6 gateway address. — format ipv6 | |
iface | string | yes | Network interface name. — format pve-iface, ≤ 20 chars |
mtu | number | MTU. — min 1280, max 65520 | |
netmask | string | Network mask. — format ipv4mask | |
netmask6 | number | Network mask. — min 0, max 128 | |
node | string | yes | The cluster node name. — format pve-node |
ovs_bonds | string | Specify the interfaces used by the bonding device. — format pve-iface-list | |
ovs_bridge | string | The OVS bridge associated with a OVS port. This is required when you create an OVS port. — format pve-iface | |
ovs_options | string | OVS interface options. — ≤ 1024 chars | |
ovs_ports | string | Specify the interfaces you want to add to your bridge. — format pve-iface-list | |
ovs_tag | number | Specify a VLan tag (used by OVSPort, OVSIntPort, OVSBond) — min 1, max 4094 | |
slaves | string | Specify the interfaces used by the bonding device. — format pve-iface-list | |
type | bridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (4 more) | yes | Network interface type |
vlan-id | number | vlan-id for a custom named vlan interface (ifupdown2 only). — min 1, max 4094 | |
vlan-raw-device | string | Specify the raw interface for the vlan interface. — format pve-iface |
DELETE /nodes/{node}/network/{iface}
ts
proxmox.nodes.$(node).network.$(iface).$delete()Delete network device configuration
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
iface | string | yes | Network interface name. — format pve-iface, ≤ 20 chars |
node | string | yes | The cluster node name. — format pve-node |